% Kubo Toyabe wrapper
%  calls MUGKT, MULKT (atomic static array functions in zero or longitudinal field, 
%  normalized to one, arbitrary initial time)
% calls MUKTDYNA for dynamic fucntions
% f = mukt(p,data)
% p(1): AMPLI
% p(2): B LF (G)
% p(3): DEGA (us-1) toggle (default)
% p(4): DELO (us-1) toggle
% p(5): NU  (us-1)

function f = mukt(p,data)
global MU_TABLE
% t=data(1,:)

if (p(5)==0)
% static

  if (p(3)==0)
    f=p(1)*mulkt([2*pi*p(2)*MU_TABLE.GAMU p(4)],data(1,1),data(1,2)-data(1,1),size(data,2)); 
  else
    f=p(1)*mugkt([2*pi*p(2)*MU_TABLE.GAMU p(3)],data(1,1),data(1,2)-data(1,1),size(data,2)); 
  end

else
% dynamic

% Gaussian default
    atomic='mugkt';
    P=[2*pi*p(2)*MU_TABLE.GAMU p(3)];
    dt=data(1,2)-data(1,1);
    nshift= data(1,1)/dt; % real
    N=size(data,2);
    Ns=N+ceil(nshift); % for fuction generation to include t=0
    if (p(3)==0) % Lorentzian (BEWARE, LORENTZIAN DYNAMICAL KT MAKES NO SENSE)
        atomic='mulkt';
        P=[2*pi*p(2)*MU_TABLE.GAMU p(4)];
    end

    y=muktdyna(atomic,Ns,dt,P,p(5));
% function generated from t=0, shift result nshift=data(1,1)/dt bins backward
    x=0:Ns;
    if (rem(Ns,2)==0)
       Np=Ns/2-1;
       Nm=-Ns/2;
    else
       Np=(Ns-1)/2;
       Nm=-Np;
    end
    y=ifft(fft(y).*exp(nshift*i*2*pi*[0:Np Nm:-1]/Ns)); % shift back
% multiply by amplitude
    f=p(1)*real(y(1:N));
end




