function mulist
    
% usage MULIST
% extracts the titles of all the data files in the present
% MU_PATH.DATA
% displays and saves a file readme in the MU_PATH.LOG directory
global MU_PATH MU_GEAR

CR=char(10);
list='';
COMMENTS=[char(32*ones(1,70))];
st=ls(MU_PATH.DATA,'-1'); % ls in data directory

k=findstr(MU_GEAR.FILENAME_PREFIX,st);
if ~isempty(k)
    % select only data filenames
    st=st(k(1):end);
    k=findstr(MU_GEAR.FILENAME_PREFIX,st); % recalculate k as
                                           % beginning of filenames
    cr=findstr(CR,st); % end of filenames
    l=0;
    for kk=k
        l=l+1;
        nlen=cr(l)-kk; % length of data filename
        file=st(kk:kk+nlen-1);
        filename=[MU_PATH.DATA file];    
        switch MU_GEAR.FACILITY
          case 'PSI'
            [histos dt head]=psiclassload(filename);
          case 'ISIS'
            switch MU_GEAR.DATA_TYPE
              case 'MCS'
                [histos dt head]=isisload(filename);
              case 'NEXUS'
                [histos dt head]=nxsload(filename);
            end 
        end
        RESNS=dt/1000;
        h=char(head);  % check, this is OK for PSI!!!!
        START_DATE=h(3,16:24);
        STOP_DATE=h(3,50:58);
        START_TIME=h(3,29:36);
        STOP_TIME=h(3,63:70);
        TITLE=h(1,:);
        SAMPLE=h(1,1:10);
        ORIENTATION=h(1,11:22); 
        TEMPERATURE=h(1,23:27);
        FIELD=h(1,30:35);
        hi=str2num(START_TIME(1:2));
        hf=str2num(STOP_TIME(1:2));
        mi=str2num(START_TIME(4:5));
        mf=str2num(STOP_TIME(4:5));
        m=mf-mi;
        hh=hf-hi;
        hh=hh+24*(hh<0)-(m<0);
        m=m+60*(m<0); % if mf<mi
        nt0=max(muguesst0(histos)); % function muguesst0 produces 
                                    % as many nt0 as detectors
        ntot=sum(sum(histos(nt0:end,:)));
        npre=length(MU_GEAR.FILENAME_PREFIX);
        nsuf=length(MU_GEAR.FILENAME_SUFFIX);
        nrun=str2num(file(npre+1:end-nsuf-1));
        string=['# ' num2str(nrun) ': ' SAMPLE ' '...
                TEMPERATURE ' ' FIELD ' ' ORIENTATION ' '...
                'Tot ' num2str(ntot/1e6,3) 'Mev, ' ...
                START_DATE ':' START_TIME(1:5) ', ' num2str(hh) '.'...
                num2str(m) 'h'];
        disp(string)
        list=strvcat(list,string);
        if ~strcmp(COMMENTS,h(2,:))
            COMMENTS=h(2,:);
            disp(['   '  COMMENTS]);
            list=strvcat(list,COMMENTS);
        end
    end
    if ispc
        slash='\';
    elseif isunix 
        slash='/';
    else
        'Sorry, mulab is not available yet for your OS';
    end

    if MU_PATH.LOG(end)~=slash
        MU_PATH.LOG=[MU_PATH.LOG slash];
    end
    filename=[MU_PATH.LOG 'readme'];
    fid=fopen(filename,'w');
     for k=1:size(list,1),fprintf(fid,'%s\n',list(k,:));,end
    fclose(fid);
end