% atomic function, generates normalized function on a given time array 
% Zero and Longitudinal-field Lorentzian Kubo Toyabe fuction
% Uses the old integration 

function y=mulkt(p,t0,dt,N)
global MU_TABLE
% p(1): omega = 2*pi*B(G)*MU_TABLE.GAMU
% p(2): Delta

t=t0+(0:N-1)*dt;
Dtt=p(2)*t;

if p(1)&p(2), % longitudinal field with non-zero relaxation rate

    if abs(p(1)/p(2))<2e-9, % then consider zero field        
       y=1./3.*(1.+2.*(1.-Dtt).*exp(-Dtt));
    else % calculate integral with kernel for Lorentz KT        
       w0=2*pi*abs(p(1));
       if t(1)==0, % singularity at t=0
          t=t(2:end); % eliminate singular first point
          w0t=w0*t; % without first point
          c=p(2)./w0t.^2.*(1+p(2)*t); 
          y=[-2./3. exp(-p(2)*t).*...
             (sin(w0t)./w0t.*(c-p(2))-c.*cos(w0t))]; % put back
                                                     % first point
       else % no singularities
          w0t=w0*t; % with first point
          c=p(2)./w0t.^2.*(1+p(2)*t);
          y=exp(-p(2)*t).*...
            (sin(w0t)./w0t.*(c-p(2))-c.*cos(w0t));
       end
       y=(2*cumsum(y*dt)+1); % simplified integral, accuracy < 1e-3;
    end    
else
    y=1./3.*(1.+2.*(1.-Dtt).*exp(-Dtt));
end
        

