function yout=murf(xin,yin,f0);
% Rotating Frame at frequency f 
%global MU_GEAR MU_MODEL MU_DATA
    
    % disp('Adesso ti arroto')
    w0=2*pi*f0; % Rotating Frame frequency
    N=length(yin);  
    % double it to account for negative frequencies
    n=[0:N -N+1:-1]; % positive and negative number frequencies
    y=[yin zeros(1,N)]; % zero pad to the end
    dt=xin(2)-xin(1); % bin width in mus
    t=n*dt; % pseudo time,same size as n, y
    df=1/(2*N*dt); % frequency resolution
    dw=2*pi*df;
    % For filter design we need to know roughly the signal frequency
    % determined as np = number (frequency) of peak in FFT
    Y=fft(y);
    YM=max(abs(Y)); % peak in FFT, abs avoids initial phase problems
    np=max(n(find(abs(Y)==YM))); % second max selects positive n
                                 % frequency
    n0=f0/df; % Rotating frame number (frequency)
    f=df*n; % frequency array
    fc=fft(y.*cos(w0*t)); 
    Filter=(n<(n0+np)/2).*(n>-(n0+np)/2); % masks intervals
                                          % between negative and
                                          % positive peaks
    yout=2*ifft(fc.*Filter); % RF Asymmetry
    yout=yout(1:N); % cut back to original interval