function [string]=valerror(val,error)
% [string]=valerror(val,error)
% writes a string in the correct notation val(error)
% string=valerror(val,error) 
% valid for 1e-6<val,error<1e6   
exponent=[-6:6];
divisor=10.^exponent;
errdec=exponent(max(find(floor(error./divisor)))); % errdec is the
                                                   % decimal
                                                   % exponent of
                                                   % the most
                                                   % significant
                                                   % digit in error
valdec=exponent(max(find(floor(abs(val)./divisor)))); % valdec is
                                                      % the decimal
                                                      % exponent of
                                                      % the most
                                                      % significant
                                                      % digit in val
if isempty(errdec)
    errdec=-6;
end % errdec has always a value
if isempty(valdec)
    valdec=-6;
end % valdec has always a value
if val==0
    string='0';
elseif error==0
    string=num2str(val); % straight for 0 value, 0 error (fixed)
else
    if errdec<0&valdec>=0
        vf=valdec-errdec+1;
        vd=-errdec;
        err=round(error*10^(-errdec));
    elseif errdec<0&valdec<0
        vf=3+(-errdec+valdec);
        err=round(error*10^(-errdec));
        if (-valdec>-errdec)
            err=round(error*10^(-valdec));
        end
        vd=max([-valdec -errdec]);
    elseif errdec>=0&valdec>=0
        vf=valdec+1;
        vd=0;
        err=round(error);
    elseif errdec>=0&valdec<0
        vf=2-valdec;
        vd=0;
        err=round(error);
    end
    eval(['sval=sprintf(''%' int2str(vf) '.' int2str(vd) 'f'', val);'])
    eval(['serr=sprintf(''%d'', err);'])
    string=[sval '(' serr ')'];
end